function DATAinsert = cellMakerKLHR(IDcentralina,DTcatena,NodeNum,cKLHR,...
                   ListaDate,ARRAYdateKLHR,ANGdefKLHR,TdefKLHR,ErrKlinoLinkHR)

l = ListaDate;
DATAinsert = cell(l,9);

for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdateKLHR(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdateKLHR(ii),'HH:MM:SS');
    DATAinsert{ii,6} = ANGdefKLHR(ii,2*cKLHR-1);
    DATAinsert{ii,7} = ANGdefKLHR(ii,2*cKLHR);
    DATAinsert{ii,8} = TdefKLHR(ii,cKLHR);
    DATAinsert{ii,9} = ErrKlinoLinkHR(cKLHR,ii);
end

end